Bug 1973237 - RHCOS-shipped stalld systemd units do not use SCHED_FIFO to run stalld.
Summary: RHCOS-shipped stalld systemd units do not use SCHED_FIFO to run stalld.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Jiří Mencák
QA Contact: Simon
URL:
Whiteboard:
Depends On: 1973154
Blocks: 1972701
TreeView+ depends on / blocked
 
Reported: 2021-06-17 13:22 UTC by OpenShift BugZilla Robot
Modified: 2021-07-27 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:13:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-node-tuning-operator pull 237 0 None open [release-4.8] Bug 1973237: Switch back to NTO-shipped stalld. 2021-06-17 13:23:12 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:13:28 UTC

Comment 2 Simon 2021-06-22 12:39:37 UTC
$ oc get clusterversions.config.openshift.io 
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-06-22-022125   True        False         84m     Cluster version is 4.8.0-0.nightly-2021-06-22-022125

$ oc get nodes
NAME                                         STATUS   ROLES    AGE    VERSION
ip-10-0-147-196.us-east-2.compute.internal   Ready    master   108m   v1.21.0-rc.0+120883f
ip-10-0-154-170.us-east-2.compute.internal   Ready    worker   103m   v1.21.0-rc.0+120883f
ip-10-0-165-195.us-east-2.compute.internal   Ready    master   109m   v1.21.0-rc.0+120883f
ip-10-0-185-57.us-east-2.compute.internal    Ready    worker   103m   v1.21.0-rc.0+120883f
ip-10-0-203-159.us-east-2.compute.internal   Ready    worker   103m   v1.21.0-rc.0+120883f
ip-10-0-221-205.us-east-2.compute.internal   Ready    master   109m   v1.21.0-rc.0+120883f

$ node=ip-10-0-154-170.us-east-2.compute.internal

$ oc label node $node node-role.kubernetes.io/worker-rt= --overwrite
node/ip-10-0-154-170.us-east-2.compute.internal labeled

$ oc get nodes
NAME                                         STATUS   ROLES              AGE    VERSION
ip-10-0-147-196.us-east-2.compute.internal   Ready    master             110m   v1.21.0-rc.0+120883f
ip-10-0-154-170.us-east-2.compute.internal   Ready    worker,worker-rt   104m   v1.21.0-rc.0+120883f
ip-10-0-165-195.us-east-2.compute.internal   Ready    master             110m   v1.21.0-rc.0+120883f
ip-10-0-185-57.us-east-2.compute.internal    Ready    worker             104m   v1.21.0-rc.0+120883f
ip-10-0-203-159.us-east-2.compute.internal   Ready    worker             104m   v1.21.0-rc.0+120883f
ip-10-0-221-205.us-east-2.compute.internal   Ready    master             110m   v1.21.0-rc.0+120883f

$ oc create -f https://raw.githubusercontent.com/openshift/cluster-node-tuning-operator/master/test/e2e/testing_manifests/stalld.yaml

tuned.tuned.openshift.io/openshift-realtime created

$ oc create -f https://raw.githubusercontent.com/openshift/cluster-node-tuning-operator/master/examples/realtime-mcp.yaml

machineconfigpool.machineconfiguration.openshift.io/worker-rt created

$ oc debug node/$node
Starting pod/ip-10-0-154-170us-east-2computeinternal-debug ...
To use host binaries, run `chroot /host`
Pod IP: 10.0.154.170
If you don't see a command prompt, try pressing enter.
sh-4.4# 
sh-4.4# 
sh-4.4# ps -efL | grep stalld
root        3999       1    3999  0    1 12:29 ?        00:00:00 /usr/local/bin/stalld --systemd -p 1000000000 -r 10000 -d 3 -t 20 --log_syslog --log_kmsg --foreground --pidfile /run/stalld.pid
root       13014   12248   13014  0    1 12:34 pts/0    00:00:00 grep stalld
sh-4.4# chrt -ap 3999
pid 3999's current scheduling policy: SCHED_FIFO
pid 3999's current scheduling priority: 10

Comment 6 errata-xmlrpc 2021-07-27 23:13:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.